Create new exten
Create new exten in your Cloud PBX system. Cloud PBX is determined from PBX subscription id passed as a parameter.
The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer.
Creation parameters are passed in body, look for the specification below. During creation, if number or password were not provided, out system will generate them automatically. Password can then be retrieved through a separate endpoint.
If your Cloud PBX has not been configured yet, you will receive a status code 425 Too Early (refer to responses).
Path Parameters
PBX subscription id
1 <= valueHeader Parameters
Your API token
Request Body
application/json
Exten creation parameters
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/extens" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}